package domain

type AlibabaWdkCouponSkuRemoveFailElement struct {
	/*
	   错误信息     */
	ErrorMsg *string `json:"error_msg,omitempty" `

	/*
	   参与者id     */
	ParticipateId *string `json:"participate_id,omitempty" `

	/*
	   参与者名称     */
	ParticipateName *string `json:"participate_name,omitempty" `
}

func (s *AlibabaWdkCouponSkuRemoveFailElement) SetErrorMsg(v string) *AlibabaWdkCouponSkuRemoveFailElement {
	s.ErrorMsg = &v
	return s
}
func (s *AlibabaWdkCouponSkuRemoveFailElement) SetParticipateId(v string) *AlibabaWdkCouponSkuRemoveFailElement {
	s.ParticipateId = &v
	return s
}
func (s *AlibabaWdkCouponSkuRemoveFailElement) SetParticipateName(v string) *AlibabaWdkCouponSkuRemoveFailElement {
	s.ParticipateName = &v
	return s
}
